Files
Update a file
Updates the metadata of an existing file object.
PATCH
Update a file
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Updates the metadata of an existing file object.
curl --request PATCH \
--url https://api.orq.ai/v2/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "<string>",
"file_name": "<string>"
}
'{
"file": {
"file_id": "<string>",
"file_name": "<string>",
"bytes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"project_id": "<string>"
}
}Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "<string>",
"file_name": "<string>"
}
'{
"file": {
"file_id": "<string>",
"file_name": "<string>",
"bytes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"project_id": "<string>"
}
}